GroovycTask (groovy 2.4.16 API)
Date: 2018-12-09

Package: org.codehaus.groovy.ant

## [Java] Class GroovycTask

- org.codehaus.groovy.ant.GroovycTask

- Compiles Groovy source files.

  Authors:
    Jason Dillon

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected boolean` | `force` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CompileTaskSupport` | `classpath, config, destdir, failOnError, log, src`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `compile()`
    `` | `void` | `setForce(boolean flag)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CompileTaskSupport` | `compile, createClassLoader, createClasspath, createConfiguration, createSrc, execute, getClasspath, getFailonerror, getSrcdir, handleException, setClasspath, setClasspathRef, setDestdir, setFailonerror, setSrcdir, validate`
    `class MatchingTask` | `add, addType, setCaseSensitive, setExcludes, setIncludes, addDate, setProject, createExclude, hasSelectors, selectorCount, createPatternSet, getSelectors, appendSelector, addNot, setExcludesfile, selectorElements, setIncludesfile, addAnd, addOr, addNone, addMajority, createInclude, addDepend, addSize, addModified, addContains, addDifferent, addPresent, addFilename, addDepth, addCustom, XsetItems, XsetIgnore, setFollowSymlinks, addSelector, setDefaultexcludes, createIncludesFile, createExcludesFile, addContainsRegexp, log, log, log, log, init, execute, getTaskName, maybeConfigure, setOwningTarget, getOwningTarget, setTaskName, getTaskType, setTaskType, setRuntimeConfigurableWrapper, getRuntimeConfigurableWrapper, reconfigure, perform, bindToOwner, clone, getLocation, setLocation, getDescription, getProject, setDescription, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected boolean force

  - ### Method Detail

    - #### protected void compile()

    - #### public void setForce(boolean flag)